Subject: 27.0.50; emacsclient does not find server socket

From: Paul Eggert <[email-masked]>
Date: Tue, 25 Dec 2018 13:02:34 -0800

> Suggested solutions:
> - Create the socket in a dir that is more readily available, for example 
>   somewhere under ${HOME}/emacs.d/

Unfortunately that won't work well in general, as $HOME/emacs.d might not exist, 
or it might be on a network file system where a host-specific file would be 
inappropriate.

> - Have emacsclient fall back to TMPDIR as well when no socket is found
>   under XDG_RUNTIME_DIR

This would run afoul of the security issues that led to the use of 
XDG_RUNTIME_DIR in the first place.

Instead, I suggest unsetting XDG_RUNTIME_DIR if you wish to start an Emacs 
client or server that is independent of your session and are on a host that is 
secured well enough so that the security issues are of no concern. 
Alternatively, you can use --socket-name when starting emacsclient.